package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.LifeGroupPackage;
import shop.alien.entity.store.vo.LifeCouponVo;
import shop.alien.entity.store.vo.LifeTuanGouParamVo;

import java.util.Map;

/**
 * 团购包
 */
public interface LifeGroupPackageService extends IService<LifeGroupPackage> {

    int addOrUpdateGroupPackage(LifeTuanGouParamVo lifeTuanGouParamVo);

    int addOrUpdateHotelGroupPackage(LifeTuanGouParamVo lifeTuanGouParamVo);

    IPage<LifeCouponVo> getGroupPackageList(Integer pageNum, Integer pageSize, String storeId, String status, String couponCode, String name);

    IPage<LifeCouponVo> getHotelGroupPackageList(Integer pageNum, Integer pageSize, String storeId, String status, String couponCode, String name);

    int updateGroupPackageStatus(String id, Integer status);

    Map<String, Object> getGroupPackageDetail(String id, String userId);

    Map<String, Object> getGroupHotelPackageDetail(String id, String userId);

}